Skip to main content
POST
Query Organization Audit Logs

Permissions

The permissions required to access this endpoint. See Permissions Reference for what each role grants.

Required Permissions: view_audit_logs

Granted By Role: Owner Admin

Authorizations

Authorization
string
header
required

This endpoint uses Service Account authentication.

Headers

Mixpanel-Version
string
default:2026-08-13

Optional date-based API version pin.

If omitted, the request is served by the latest API version, and the caller accepts that a future release may introduce a breaking change to the response contract. If set to a supported version date, that version's contract is honored and will not receive a breaking change.

Path Parameters

organization_id
string
required

The unique identifier for the organization.

Query Parameters

page_size
integer
default:100

Items per page.

Required range: 1 <= x <= 100
cursor
string | null

Previous or next cursor used to paginate.

order
enum<string>
default:desc

Sort order of results: 'asc' for oldest first, 'desc' for newest first.

Available options:
asc,
desc

Body

application/json

The set of filters to apply to the audit log query. All filters are optional, and if none are provided, all audit logs for the organization will be returned.

user_ids
string[] | null

Filter to audit logs by the IDs of the users who performed the actions.

user_emails
string[] | null

Filter to audit logs by the emails of the users who performed the actions.

exclude_user_ids
string[] | null

List of user IDs to exclude from the results. Audit logs performed by these users will not be included in the response.

exclude_user_emails
string[] | null

List of user emails to exclude from the results. Audit logs performed by these users will not be included in the response.

types
string[] | null

List of entity types and actions to filter audit logs by. See https://docs.mixpanel.com/docs/access-security/audit-log-reference for a list of valid types.

created_before
string<date-time> | null

Filter to audit logs created before this timestamp.

created_after
string<date-time> | null

Filter to audit logs created after this timestamp.

services
string[] | null

Filter to audit logs that originated from these Mixpanel services, e.g. mcp, webapp.

user_email_search
string | null

Case-insensitive substring match against user email addresses.

project_ids
string[] | null

List of Project IDs to filter audit logs by. If not provided, audit logs for all projects in the organization as well as organization-level audit logs will be returned.

Response

OK

Response model for an audit log query.

results
AuditLog · object[]
required

List of items for the current page.

pagination
CursorPaginationResponse · object
required

Pagination cursors to navigate through the results.